=== debian/changelog ===
indi-asi (2.0-3) unstable; urgency=medium

  * manual build

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:07 +0100

indi-asi (2.0-2) unstable; urgency=medium

  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Jan 2022 22:30:07 +0100

indi-asi (2.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Dec 2021 22:30:07 +0100
