=== debian/control ===
Source: indi-asi
Section: contrib/science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libasi
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-asi
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-asi.git

Package: indi-asi
Architecture: i386 amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: INDI Driver for ZWO Optics ASI cameras
 This package contains a INDI driver fro ZWO Optics ASI cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
