## indi-asi 2.2%2B20221225102500

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 find_package(Threads REQUIRED)
 
 set(ASI_VERSION_MAJOR 2)
-set(ASI_VERSION_MINOR 0)
+set(ASI_VERSION_MINOR 2)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_asi.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_asi.xml)
