## indi-asi 2.2+20220609111143

=== debian/changelog ===
indi-asi (2.2+20220609111143-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 2.2

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Jun 2022 11:11:54 +0000
