## indi-asi 2.2+20221225102500

=== debian/changelog ===
indi-asi (2.2+20221225102500-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1125533)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Mar 2026 17:26:16 +0100

indi-asi (2.2+20221225102500-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.2

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2022 10:26:16 +0000
