=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, zlib1g-dev
 	, libnova-dev
 	, libasi
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
@@ -22,6 +22,7 @@
 Architecture: i386 amd64 armhf arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 	, libusb-1.0-0
+	, libasi
 Description: INDI Driver for ZWO Optics ASI cameras
  This package contains a INDI driver fro ZWO Optics ASI cameras.
  .
